Subject: Re: [PATCH 3/3 XFRM]: Fix invalid key for lookup of cached bundles

From: Patrick McHardy <[email-masked]>
Date: Mon, 07 Mar 2005 03:30:26 +0100

Herbert Xu wrote:
> How about we fix the bundle problem first, and then add the fwmark/tos
> stuff? I think fixing the bundle list scalability is probably more
> important than having working TOS/fwmark at this point in time.

I agree that it is more important, but I don't see any harm in fixing
the other problem for transport mode first. Fixing the scalability
problem requires a dynamically resized hash, anything static will
lead to different scalability problems with a large number of policies.
The tos/fwmark part looks comparatively small, simply reroute all
packets based on src/dst/fwmark/predicted final tos if they differ.
But since both of this is not done yet, I think it would be better to
fix the smaller problem first.

Regards
Patrick